Loading...
Searching...
No Matches
Header Struct Reference

Data encoded at the head of each segment of a file or stream. More...

`#include <nanovdb/util/IO.h>`

## Public Member Functions

| Header (Codec c=Codec::NONE)

## Public Attributes

uint64_t | magic
Version | version
uint16_t | gridCount
Codec | codec

## Detailed Description

Data encoded at the head of each segment of a file or stream.

Note
  A file or stream is composed of one or more segments that each contain

## Constructor & Destructor Documentation

## Header()

Header | ( | Codec | c = Codec::NONE | ) |

inline

## Member Data Documentation

## codec

Codec codec

## gridCount

uint16_t gridCount

## magic

uint64_t magic

## version

Version version